
# tran ind
setting=tran
# SAGE GAT GCN
teacher=SAGE
# cora citeseer
dataset=cora
# KD CRD
type=KD

if [ "$type" == "KD" ];
then
    python3 train_student.py \
        --exp_setting $setting \
        --teacher $teacher \
        --student MLP \
        --dataset $dataset \
        --out_t_path outputs \
        --data_path ./data/CPF/ \
        --kl_loss_type $type --num_exp 5 #--device 0
else
    # mean s t
    for pro in mean
    do
        # 2 1 0.5 10
        for T1 in 1
        do
            for T2 in 10
            do
                for lambda1 in 0.1 0.2 0.4
                do
                    for lambda2 in 0.05 0.1
                    do
                        python3 train_student.py \
                            --exp_setting $setting \
                            --teacher $teacher \
                            --student MLP \
                            --dataset $dataset \
                            --out_t_path outputs \
                            --data_path ./data/CPF/ \
                            --kl_loss_type $type \
                            --get_center $pro \
                            --T1 $T1 --T2 $T2 --lambda1 $lambda1 --lambda2 $lambda2 --num_exp 5 #--device 0
                        
                        echo $pro
                        echo $T1
                        echo $T2
                        echo $lambda1
                        echo $lambda2
                        echo Done
                    done
                done
            done
        done
    done
    
fi